> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/connectors-and-triggers/pt-br/connectors/azure/key-vault.md).

# Azure Key Vault

Saiba mais sobre o conector Azure Key Vault e como usá-lo na Digibee Integration Platform.

**Azure Key Vault** gerencia secrets e keys no Azure Key Vault Service.

## **Parâmetros**

Dê uma olhada nos parâmetros de configuração do conector. Parâmetros suportados por [expressões Double Braces](/documentation/connectors-and-triggers/pt-br/double-braces/overview.md) estão marcados com `(DB)`.

### **Aba General**

<table data-full-width="true"><thead><tr><th>Parâmetro</th><th>Descrição</th><th>Valor padrão</th><th>Tipo de dado</th></tr></thead><tbody><tr><td><strong>Account</strong></td><td>A conta usada pelo conector. Deve ser do tipo de conta <a href="/documentation/developer-guide/pt-br/development-cycle/build-overview/accounts.md#tipos-de-contas"><strong>Azure Key</strong></a>.</td><td>N/A</td><td>Account</td></tr><tr><td><strong>Vault Name</strong> <code>(DB)</code></td><td>Nome do Vault a ser utilizado.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Operation</strong></td><td>Operação a ser realizada. As opções são: <strong>Create Secret</strong>, <strong>Delete Secret</strong>, <strong>Get Secret</strong> e <strong>Purge Deleted Secret</strong>.</td><td>Get Secret</td><td>String</td></tr><tr><td><strong>Secret Name</strong> <code>(DB)</code></td><td>O nome do secret a ser utilizado no Key Vault.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Secret Value</strong> <code>(DB)</code></td><td>O valor do secret a ser utilizado no Key Vault. Disponível apenas quando a operação for <strong>Create Secret</strong>.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Fail On Error</strong></td><td>Se a opção for ativada, a execução do pipeline com erro será interrompida. Caso contrário, a execução do pipeline continua, mas o resultado mostrará um valor falso para a propriedade <code>"success"</code>.</td><td>False</td><td>Booleano</td></tr></tbody></table>

### **Aba Documentation**

<table data-full-width="true"><thead><tr><th>Parâmetro</th><th>Descrição</th><th>Valor padrão</th><th>Tipo de dado</th></tr></thead><tbody><tr><td><strong>Documentation</strong></td><td>Seção para documentar qualquer informação necessária sobre a configuração do conector e regras de negócio.</td><td>N/A</td><td>String</td></tr></tbody></table>

## **Operações**

### **Create Secret**

Essa operação cria um novo secret em um Key Vault. Informe o seguinte:

* **Secret Name**
* **Secret Value**

#### **Exemplo**

* **Secret Name:** `createKey123`
* **Secret Value:** `123456`

#### **Saída**

Se bem-sucedido, a saída será:

```json
{
  "success": true,
  "body": {
    "name": "createKey123",
    "value": "123456",
    "expiresOn": "",
    "createdOn": "2024-10-30T16:30:12Z",
    "updatedOn": "2024-10-30T16:30:12Z"
  }
}
```

### **Delete Secret**

Essa operação exclui um secret especificado de um Key Vault. Informe:

* **Secret Name**

#### **Exemplo**

* **Secret Name:** `createKey123`

#### **Saída**

Se bem-sucedido, a saída será:

```json
{
  "success": true
}
```

### **Get Secret**

Essa operação recupera um secret especificado de um Key Vault. Informe:

* **Secret Name**

#### **Exemplo**

* **Secret Name:** `createKey123`

#### **Saída**

Se bem-sucedido, a saída será:

```json
{
  "success": true,
  "body": {
    "result": "123456"
  }
}
```

### **Purge Deleted Secret**

Essa operação remove permanentemente um secret excluído de um Key Vault. Diferente da operação **Delete Secret**, o secret não poderá ser recuperado após o purge. Informe:

* **Secret Name**

#### **Exemplo**

* **Secret Name:** `createKey123`

#### **Saída**

Se bem-sucedido, a saída será:

```json
{
  "success": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/pt-br/connectors/azure/key-vault.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
